Bug 34646 - update dns server during image update
update dns server during image update
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Image management
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Felix Botner
Moritz Muehlenhoff
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-25 09:19 CEST by Felix Botner
Modified: 2014-06-12 09:19 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2014-04-25 09:19:21 CEST
In UCC 1.0 127.0.0.1 was used as dns server for UCC clients (dnsmasq was listening on 127.0.0.1). In UCC 2.0 this changed to 127.0.1.1. We set nameserver1="127.0.1.1" during join but not during the update. So after updating a client from an 1.0 image to a 2.0 image nameserver1 stays 127.0.0.1 and dns is broken after the update.
Comment 1 Felix Botner univentionstaff 2014-04-25 13:49:57 CEST
Added a script "univention-ucc-image-update" to "univention-corporate-client" to change nameserver1 to 127.0.1.1 if the system is joined.

This script is executed in the initrd in _sync_from_persistent() - after an image update.
Comment 2 Moritz Muehlenhoff univentionstaff 2014-04-28 15:03:29 CEST
I installed a desktop system with the 1.0r3 image and updated to UCC 2.0. The nameserver was correctly updated to 127.0.1.1 and DNS resolution worked after the update.
Comment 3 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:57 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".